> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tembo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List organization members

> List active members or pending invitations with cursor pagination.



## OpenAPI

````yaml https://api.tembo.io/public-api/openapi/public get /v1/organizations/{organizationId}/members
openapi: 3.1.0
info:
  title: Tembo Public API
  description: Public API Endpoints for Tembo
  version: 1.0.0
servers:
  - url: https://api.tembo.io
    description: Tembo API
  - url: https://{deployment-origin}/api/public-api
    description: Self-hosted Tembo
    variables:
      deployment-origin:
        default: tembo.example.com
        description: Hostname of your self-hosted Tembo deployment
security: []
paths:
  /v1/organizations/{organizationId}/members:
    get:
      tags:
        - Organizations
      summary: List organization members
      description: List active members or pending invitations with cursor pagination.
      operationId: listOrganizationMembers
      parameters:
        - in: path
          name: organizationId
          schema:
            type: string
          required: true
        - in: query
          name: cursor
          schema:
            type: string
            minLength: 1
            maxLength: 255
        - in: query
          name: limit
          schema:
            anyOf:
              - type: string
                pattern: ^\d+$
              - type: number
            default: '50'
        - in: query
          name: search
          schema:
            type: string
            minLength: 1
            maxLength: 100
        - in: query
          name: status
          schema:
            type: string
            enum:
              - active
              - pending
            default: active
      responses:
        '200':
          description: List organization members
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      type: object
                      properties:
                        createdAt:
                          type: string
                          format: date-time
                        id:
                          type: string
                          minLength: 1
                          maxLength: 255
                        role:
                          type: string
                          enum:
                            - org:admin
                            - org:member
                        updatedAt:
                          type: string
                          format: date-time
                        userId:
                          type:
                            - string
                            - 'null'
                        emailAddress:
                          type: string
                          format: email
                        firstName:
                          type:
                            - string
                            - 'null'
                        imageUrl:
                          type:
                            - string
                            - 'null'
                          format: uri
                        lastName:
                          type:
                            - string
                            - 'null'
                        status:
                          type: string
                          enum:
                            - active
                            - pending
                      required:
                        - createdAt
                        - id
                        - role
                        - updatedAt
                        - userId
                        - emailAddress
                        - firstName
                        - imageUrl
                        - lastName
                        - status
                      additionalProperties: false
                  nextCursor:
                    type:
                      - string
                      - 'null'
                required:
                  - items
                  - nextCursor
                additionalProperties: false
        '400':
          description: Validation error or missing organization scope
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '403':
          description: Organization administrator access is required
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '404':
          description: Organization resource not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '409':
          description: Organization operation conflicts with existing state
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '500':
          description: Organization operation failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '503':
          description: Required organization storage is unavailable
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer

````